<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "rabbit_log".
 *
 * @property int $id
 * @property string $channel 频道
 * @property string $queue 队列
 * @property string $msg 发送的所有信息
 * @property string $msg_body 信息体
 * @property string $msg_delivery_tag 路由标签
 * @property string $addtime 操作时间
 * @property string $describe 备注
 */
class RabbitLog extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'rabbit_log';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['channel', 'queue', 'msg', 'msg_body', 'msg_delivery_tag', 'describe'], 'string'],
            [['addtime'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'channel' => '频道',
            'queue' => '队列',
            'msg' => '消息',
            'msg_body' => '消息体',
            'msg_delivery_tag' => '消息标签',
            'addtime' => '加入时间',
            'describe' => '描述',
        ];
    }
}
